// 
// choubi : Fri Apr 29 15:44:20 2005
// Patron pour la generation d'une classe derivee dans ROOT
// FEventProcTemplate derive de TNamed
// 
// 
 
#define FEventProcTemplate_cxx 
 
#include "Riostream.h"
 
#include "FEventProcTemplate.h"
#include "FHistAtt.h"
#include "FParamBrut.h"
#include "TStringLong.h"
 
ClassImp(FEventProcTemplate)
/////////////////////////////////////////////////////////////////////////
// Insert here the FEventProcTemplate class description
//
//


//_________________________________________________________
void FEventProcTemplate::Init(void)
 {
//
// Initialisation
//
 }
 
//_________________________________________________________
FEventProcTemplate::FEventProcTemplate(void):FEventProcessor()
 {
// 
// Constructeur par Defaut
//
 Init();
 }
 
 
//_________________________________________________________
FEventProcTemplate::FEventProcTemplate(const FEventProcTemplate &hp):FEventProcessor(hp)
 {
// 
// Constructeur par Copie
//
 Init();
#if ROOT_VERSION_CODE >= ROOT_VERSION(3,4,0)
  hp.Copy(*this);
#else
  ((FEventProcTemplate &)a).Copy(*this);
#endif
 }
 
//_________________________________________________________
FEventProcTemplate::~FEventProcTemplate(void)
 {
//
// Destructeur
//
 }
 
//_________________________________________________________
#if ROOT_VERSION_CODE >= ROOT_VERSION(3,4,0)
void FEventProcTemplate::Copy(TObject &hp) const
#else
void FEventProcTemplate::Copy(TObject &hp)
#endif
 {
//
// Copie
//
 FEventProcessor::Copy(hp);
 }
 
//_________________________________________________________
FEventProcTemplate& FEventProcTemplate::operator = (const FEventProcTemplate &hp)
 {
//
// Operateur =
//
#if ROOT_VERSION_CODE >= ROOT_VERSION(3,4,0)
   hp.Copy(*this);
#else
   ((FEventProcTemplate &)hp).Copy(*this);
#endif
 return *this;
 }
 
//_________________________________________________________
void FEventProcTemplate::InitParams(void)
 {
//
// Initialisation of the param list
// Add parameters to the listOfParams list
//
 
 // The following line is mandatory if you use a FDataReader: this will get
 // the FParamBrut parameters from the FDataReader and add them to the list of
 // parameters.
 FEventProcessor::InitParams();
 
 // enter your code from here
 
 }

//_________________________________________________________
void FEventProcTemplate::InitHistos(void)
 {
//
// Declaration of FHistograms
// Please add them to the listOfHistos list
//

 }
 
 
//_________________________________________________________
void FEventProcTemplate::SetParamValues(void)
 {
//
// Set the parameter values here from the "raw" event
// please retrieve parameters from the listOfParams list
// if the value is set to a parameter, please add it to the listOfHitParams
// 
 // The following line is mandatory if you use a FDataReader: this will set
 // the FParamBrut values from the FDataReader.
 FEventProcessor::SetParamValues();
 
 // enter your code from here

 }


// //_________________________________________________________
// Bool_t FEventProcTemplate::IsRunning(void)
//  {
// //
// // Condition to process the next event
// // Uncomment this method if you want to set your own condition.
// //
//  
//  return kFALSE;
//  }

// //_________________________________________________________
// void FEventProcTemplate::SaveHistos(void)
//  {
// //
// // Called at the end of the process. Save your histograms here
// // Uncomment this method in case you want to implement this method.
// //  
//  
//  }

// //_________________________________________________________
// Bool_t FEventProcTemplate::DoPlotTempo(void)
//  {
// //
// // Condition to make a temporary plot or to print a intermediate message
// // Uncomment this method in case you want to implement this method.
// // 
//  
//  return kFALSE;
//  }

// //_________________________________________________________
// void FEventProcTemplate::PlotTempo(void)
//  {
// //
// // Make a temporary plot or to print a intermediate message
// // Uncomment this method in case you want to implement this method.
// // 
//  
//  }
